curl --request GET \
--url 'https://beaconcha.in/api/v1/validator/{indexOrPubkey}?apikey='{
"status": "OK",
"data": [
{
"activation_eligibility_epoch": 289892,
"activation_epoch": 290297,
"balance": 32014494648,
"effective_balance": 32000000000,
"exit_epoch": 9223372036854776000,
"last_attestation_slot": 12766062,
"name": "name",
"pubkey": "0xb73ecd964c9779506a3209ec40dd40d765b0464fef281d77ac8a559fa9e2a9cff8b6b2e09b8f6360b119ba7a963c5b81",
"slashed": false,
"status": "active_online",
"validator_index": 1435245,
"withdrawable_epoch": 9223372036854776000,
"withdrawal_credentials": "0x0100000000000000000000005d652886f0b4ae0b1b7d6be5b7e2d555aafdc812",
"total_withdrawals": 1072078769
}
]
}Retrieve validator information by index or public key using a comma-separated list in the path parameter. Provide up to 100 identifiers (higher limits may apply to authenticated premium users). Each identifier must be either a validator index (base-10 integer) or a 48-byte BLS public key as 0x-prefixed hex (96 hex characters after 0x) or without the 0x prefix. Use the POST variant (/api/v1/validator) when the list is too long for a URL.
curl --request GET \
--url 'https://beaconcha.in/api/v1/validator/{indexOrPubkey}?apikey='{
"status": "OK",
"data": [
{
"activation_eligibility_epoch": 289892,
"activation_epoch": 290297,
"balance": 32014494648,
"effective_balance": 32000000000,
"exit_epoch": 9223372036854776000,
"last_attestation_slot": 12766062,
"name": "name",
"pubkey": "0xb73ecd964c9779506a3209ec40dd40d765b0464fef281d77ac8a559fa9e2a9cff8b6b2e09b8f6360b119ba7a963c5b81",
"slashed": false,
"status": "active_online",
"validator_index": 1435245,
"withdrawable_epoch": 9223372036854776000,
"withdrawal_credentials": "0x0100000000000000000000005d652886f0b4ae0b1b7d6be5b7e2d555aafdc812",
"total_withdrawals": 1072078769
}
]
}Comma-separated validator indices and/or public keys (maximum 100 items by default). Comma-separated list (no spaces) of validator identifiers. Each identifier must be either:
Resolution and limits:
"1,2,3"
Matching validators were retrieved successfully. The data field contains either a single validator object (when one identifier is provided/resolved) or an array of validator objects (when multiple identifiers are provided/resolved).
Standard success envelope used by all API endpoints.
HTTP-independent status of the API operation. For successful responses this is always "OK".
OK State and metadata for a single validator, including status, balances, epochs, and withdrawal summary.
Show child attributes
Was this page helpful?